Bug 198361 - cad/calculix: Update to version 1.8
Summary: cad/calculix: Update to version 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-06 16:30 UTC by Pedro F. Giffuni
Modified: 2015-03-29 11:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (maho)


Attachments
port update patch (41.61 KB, patch)
2015-03-06 16:30 UTC, Pedro F. Giffuni
no flags Details | Diff
port update patch (41.81 KB, patch)
2015-03-07 15:46 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2015-03-06 16:30:00 UTC
Created attachment 153915 [details]
port update patch

Notable new features:

Adds Computational Fluid Dynamics.
Uses openmp.

Release Notes:

http://www.dhondt.de/new_calc.htm
____

For reference:

make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 1 Pedro F. Giffuni freebsd_committer 2015-03-07 15:46:35 UTC
Created attachment 153961 [details]
port update patch

Add openmp requirement.
Comment 2 commit-hook freebsd_committer 2015-03-11 12:00:29 UTC
A commit references this bug:

Author: maho
Date: Wed Mar 11 11:59:52 UTC 2015
New revision: 380978
URL: https://svnweb.freebsd.org/changeset/ports/380978

Log:
  Update to 1.8
  * Adds Computational Fluid Dynamics.
  * Uses openmp.

  PR:		198361
  Submitted by:	pfg@

Changes:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
  head/cad/calculix/files/patch-ccx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+cgx.h
  head/cad/calculix/pkg-plist
Comment 3 Maho Nakata freebsd_committer 2015-03-11 13:03:10 UTC
Fixed. thank you very much!
Comment 4 Bartek Rutkowski freebsd_committer 2015-03-29 11:31:28 UTC
The fix has been already committed, so I am closing this PR.